<?php
/**
 * The template for displaying 404 pages (Not Found).
 */

get_header(); ?>

	<div id="primary" class="content-area container">
		<main id="main" class="site-main" role="main">

			<section class="error-404 not-found">
				<header class="page-header">
					<h1 class="page-title"><?php _e( 'Страница 404 - ничего не было найдено.', 'impresa' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
                	<div class="message-404">
					<p><?php _e( 'Кажется нам ничего не удалось найти. Попробуйте воспользоваться поиском.', 'impresa' ); ?></p>
					<?php get_search_form(); ?>
					</div><!-- .message-404 -->
					
                    <div class="widget widget_recent_posts six columns">
					<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>
					</div><!-- .widget -->
                    
					<?php if ( impresa_categorized_blog() ) : // Only show the widget if site has multiple categories. ?>
					<div class="widget widget_categories six columns">
						<h2 class="widgettitle"><?php _e( 'Самые используемые категории', 'impresa' ); ?></h2>
						<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							) );
						?>
						</ul>
					</div><!-- .widget -->
					
					<?php endif; ?>
					
                    <div class="widget widget_archives_tag four columns">
					<?php
					/* translators: %1$s: smiley */
					$archive_content = '<p>' . sprintf( __( 'Посмотрите в архивах за месяц. %1$s', 'impresa' ), convert_smilies( ':)' ) ) . '</p>';
					the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
					?>
                   
					<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>
                    </div><!-- .widget -->

				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>